Skip to main content
GET
/
v1
/
skills
!pip install vlmrun

from vlmrun.client import VLMRun

client = VLMRun(base_url="https://agent.vlm.run/v1", api_key="<VLMRUN_API_KEY>")

# List all skills
skills = client.skills.list()
for skill in skills:
    print(f"{skill.name} (v{skill.version}): {skill.description}")
[
  {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "version": "latest",
    "skill_uri": "<string>",
    "is_public": false,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]
!pip install vlmrun

from vlmrun.client import VLMRun

client = VLMRun(base_url="https://agent.vlm.run/v1", api_key="<VLMRUN_API_KEY>")

# List all skills
skills = client.skills.list()
for skill in skills:
    print(f"{skill.name} (v{skill.version}): {skill.description}")

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:50

Maximum number of items to return

Required range: 1 <= x <= 1000
offset
integer
default:0

Number of items to skip

Required range: x >= 0
order_by
string
default:created_at

Field to order by (created_at, updated_at, name)

descending
boolean
default:true

Sort in descending order

grouped
boolean
default:false

Group by skill name, returning only the latest version of each

Response

Successful Response

id
string
required

Unique skill identifier

name
string
required

Name of the skill

description
string
required

Description of the skill

version
string
default:latest

Version of the skill

skill_uri
string | null

GCS URI of the skill zip file

is_public
boolean
default:false

Whether the skill is publicly accessible

created_at
string<date-time> | null

Date and time when the skill was created

updated_at
string<date-time> | null

Date and time when the skill was updated